# Uses of Class
java.security.SecureRandomSpi

Packages that use SecureRandomSpi
Package
Description
java.security
Provides the classes and interfaces for the security framework.

## Uses of SecureRandomSpi in java.security

Constructors in java.security with parameters of type SecureRandomSpi
Modifier
Constructor
Description
`protected`
`SecureRandom(SecureRandomSpi secureRandomSpi, Provider provider)`
Creates a `SecureRandom` object.